## Function template parse_formatter

boost::log::parse_formatter

## Synopsis

    // In header: <boost/log/utility/setup/formatter_parser.hpp>

    template<typename CharT, typename TraitsT, typename AllocatorT>
      basic_formatter< CharT >
      parse_formatter(std::basic_string< CharT, TraitsT, AllocatorT > const & str);

## Description

The function parses a formatter from the string

Throws: An `std::exception`-based exception, if a formatter cannot be recognized in the character sequence.

Parameters: |
`str` | A string that contains format description
Returns: | The parsed formatter.